//+------------------------------------------------------------------+
//|                                                   Thrust_Bar.mq4 |
//|                               Copyright  2014, Gehtsoft USA LLC |
//|                                            http://fxcodebase.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2014, Gehtsoft USA LLC"
#property link      "http://fxcodebase.com"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Green
#property indicator_color2 Red

extern int ATR_Length=14;
extern bool Use_ATR=true; // true - ATR
                          // false - pips
extern double Multiplier=2;
extern bool Long_Side=true;
extern bool Short_Side=true; 
extern int Label_Size=3;

double UP[], DN[];

int init()
{
 IndicatorShortName("Thrust Bar");
 IndicatorDigits(Digits);
 SetIndexStyle(0,DRAW_ARROW,0,Label_Size);
 SetIndexArrow(0,119);
 SetIndexBuffer(0,UP);
 SetIndexStyle(1,DRAW_ARROW,0,Label_Size);
 SetIndexArrow(1,119);
 SetIndexBuffer(1,DN);

 return(0);
}

int deinit()
{

 return(0);
}

int start()
{
 if(Bars<=3) return(0);
 int ExtCountedBars=IndicatorCounted();
 if (ExtCountedBars<0) return(-1);
 int limit=Bars-2;
 if(ExtCountedBars>2) limit=Bars-ExtCountedBars-1;
 int pos;
 double X, Y;
 pos=limit;
 while(pos>=0)
 {
  if (Use_ATR)
  {
   X=Multiplier*iATR(NULL, 0, ATR_Length, pos)/Point;
  }
  else
  {
   X=Multiplier;
  }
  Y=(Close[pos]-Open[pos])/Point;
  if (Y>X && Long_Side)
  {
   UP[pos]=Low[pos];
  }
  if (Y<-X && Short_Side)
  {
   DN[pos]=High[pos];
  }

  pos--;
 } 
 return(0);
}

